[theme]
file = "xk.toml"

[icons]
name = "material"

[[block]]
block = "cpu"
interval = 1
format = "{barchart} {utilization}%"

[[block]]
block = "memory"
format_mem = "{Mug}/{MTg}GB ({Mup}%)"
format_swap = "{SUm}MB/{STm}MB({SUp}%)"
display_type = "memory"
icons = true
clickable = true
interval = 5
warning_mem = 80
warning_swap = 80
critical_mem = 95
critical_swap = 95

# [[block]]
# block = "memory"
# format_mem = "{Mug}/{MTg}GB ({Mup}%)"
# format_swap = "{SUg}/{STg}GB ({SUp}%)"
# display_type = "swap"
# icons = true
# clickable = true
# interval = 5
# warning_mem = 80
# warning_swap = 80
# critical_mem = 95
# critical_swap = 95

[[block]]
block = "networkmanager"
on_click = "termite -t nmtui -e nmtui"
interface_name_exclude = ["br\\-[0-9a-f]{12}", "docker\\d+"]
interface_name_include = []

[[block]]
block = "sound"
step_width = 3
on_click = "$HOME/.config/sway/bin/sway_volume gui"

[[block]]
block = "music"
player = "Plexamp"
buttons = ["play", "next"]
on_collapsed_click = "Plexamp.AppImage"

[[block]]
block = "weather"
format = "{location}: {weather} {temp}°, {wind} m/s {direction}"
autolocate = true
service = { name = "openweathermap", api_key = "2a4ce7726b2f1731ec04418e64800e92", city_id = "2950159", units = "metric" }

[[block]]
block = "time"
format = "%Y/%m/%d %R"
timezone = "Europe/Berlin"
interval = 60
locale = "de_DE"
